from typing import Any


def A(dt: float):
    return [[dt, 0], [0, 1]]



class KalmanFilter:
    def __init__(self, A, B) -> None:
        self.__A = A
        self.__B = B

    def predict(self, dt: float) -> None:
        self.__A(dt)

        pass

    def correct(self) -> None:
        pass